## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

# https://github.com/vultr/vultr-cli
%global goipath         github.com/vultr/vultr-cli
Version:                3.3.1

%gometa

%global common_description %{expand:
Official command line tool for Vultr services.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md

Name:           vultr-cli
Release:        %autorelease
Summary:        Official command line tool for Vultr services
# Upstream license specification: Apache-2.0
License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  go-rpm-macros

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/vultr-cli %{goipath}

# Build shell completions.
for SHELL in bash fish zsh; do
    VULTR_API_KEY=null %{gobuilddir}/bin/%{name} completion $SHELL > %{name}.${SHELL}
done


%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Install shell completions.
install -Dp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dp %{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/%{name}.fish
install -Dp %{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/_%{name}


%if %{with check}
%check
%gocheck
%endif


%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/zsh/site-functions/_%{name}
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Tue Jul 30 2024 Packit <hello@packit.dev> - 3.3.1-1
- Update to 3.3.1 upstream release
- Resolves: rhbz#2301645

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jul 05 2024 Packit <hello@packit.dev> - 3.3.0-1
- Update to 3.3.0 upstream release
- Resolves: rhbz#2296025

* Thu Jun 13 2024 Packit <hello@packit.dev> - 3.2.0-1
- Update to 3.2.0 upstream release
- Resolves: rhbz#2292100

* Mon May 20 2024 Major Hayden <major@redhat.com> - 3.1.0-2
- Remove bodhi/koji packit steps

* Sat May 18 2024 Packit <hello@packit.dev> - 3.1.0-1
- Update to 3.1.0 upstream release
- Resolves: rhbz#2281432

* Thu Mar 21 2024 Major Hayden <major@redhat.com> - 3.0.3-1
- Update to 3.0.3 rhbz#2266618

* Thu Feb 15 2024 Packit <hello@packit.dev> - 3.0.0-1
- [packit] 3.0.0 upstream release
- Resolves rhbz#2264355

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 2.22.0-2
- Rebuild for golang 1.22.0

* Fri Feb 02 2024 Packit <hello@packit.dev> - 2.22.0-1
- [packit] 2.22.0 upstream release
- Resolves rhbz#2262364

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 30 2023 Packit <hello@packit.dev> - 2.21.0-1
- [packit] 2.21.0 upstream release
- Resolves rhbz#2252262

* Wed Nov 01 2023 Packit <hello@packit.dev> - 2.20.0-1
- [packit] 2.20.0 upstream release
- Resolves rhbz#2247514

* Thu Oct 19 2023 Major Hayden <major@mhtx.net> - 2.19.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
